Get stack job status (with presigned master download).
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"stackName": "<string>",
"sourceStackName": "<string>",
"params": {
"engine": "siril",
"method": "mean",
"rejection": "winsorized_sigma",
"sigmaLow": 123,
"sigmaHigh": 123,
"normalize": "none",
"outputNorm": true,
"weighting": "none",
"rgbEqual": true,
"sensor": "osc",
"cosmeticCorrection": true
},
"referencePath": "<string>",
"totalFrames": 0,
"frameCounts": {
"light": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"dark": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"flat": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"bias": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"darkflat": {
"used": 4503599627370495,
"rejected": 4503599627370495
}
},
"runReport": {
"lightFramesUsed": 4503599627370495,
"lightFramesFiltered": 4503599627370495,
"medianFwhm": 1,
"backgroundNoise": 1,
"pixelRejectionLow": 1,
"pixelRejectionHigh": 1
},
"engine": "siril",
"outputS3Key": "<string>",
"outputSizeBytes": 123,
"errorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>",
"downloadUrl": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Stacking and analysis
Get stack job status (with presigned master download).
GET
/
integration-sets
/
{id}
/
stack-jobs
/
{jobId}
Get stack job status (with presigned master download).
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"stackName": "<string>",
"sourceStackName": "<string>",
"params": {
"engine": "siril",
"method": "mean",
"rejection": "winsorized_sigma",
"sigmaLow": 123,
"sigmaHigh": 123,
"normalize": "none",
"outputNorm": true,
"weighting": "none",
"rgbEqual": true,
"sensor": "osc",
"cosmeticCorrection": true
},
"referencePath": "<string>",
"totalFrames": 0,
"frameCounts": {
"light": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"dark": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"flat": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"bias": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"darkflat": {
"used": 4503599627370495,
"rejected": 4503599627370495
}
},
"runReport": {
"lightFramesUsed": 4503599627370495,
"lightFramesFiltered": 4503599627370495,
"medianFwhm": 1,
"backgroundNoise": 1,
"pixelRejectionLow": 1,
"pixelRejectionHigh": 1
},
"engine": "siril",
"outputS3Key": "<string>",
"outputSizeBytes": 123,
"errorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>",
"downloadUrl": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Default Response
Show child attributes
Show child attributes